/*

   Copyright 2012-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.brainmap;

import cf.real.RealNode;
import cf.real.RealWorld;

public class BrainmapRealWorld extends RealWorld{
	public static CDApp cdApp = null;
	public static BrainmapApp brainmapApp = null;
	public static GraphApp graphApp = null;
	public static SketchApp sketchApp = null;
	public static EditApp editApp = null;
	
	public RealNode hostNode;
	
	public BrainmapRealWorld(GuiAdapter gui, FileAdapter fa){
		hostNode = new RealNode(this, "hostNode");
		graphApp = new GraphApp(hostNode);
		sketchApp = new SketchApp(hostNode, gui, fa);
		brainmapApp = new BrainmapApp(hostNode);
		cdApp = new CDApp(hostNode);
		editApp = new EditApp(hostNode);
		
		setNetworkNode(this.hostNode);
		System.out.println("Init World");
	}
}
