/*

   Copyright 2012-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.brainmap;

import java.io.Serializable;

public class Point2df implements Serializable, Cloneable{
	private static final long serialVersionUID = 1L;
	
	public float x;
	public float y;
	
	public Point2df(float x, float y){
		this.x=x;
		this.y=y;
	}
	
	public double length(Point2df p2){
		double dx = (double)(p2.x-x);
		double dy = (double)(p2.y-y);
		return Math.sqrt(Math.pow(dx, 2.0) + Math.pow(dy, 2.0));
	}
	
	@Override
	public boolean equals(Object o){
		if(o instanceof Point2df){
			Point2df p = (Point2df)o;
			if(p.x == x && p.y == y)
				return true;
		}
		return false;
	}
	
	@Override
	public String toString(){
		return "("+x+","+y+")";
	}
	
	@Override
	public Point2df clone(){
		try {
			return (Point2df)super.clone();
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
			return null;
		}
	}
}
