/*

   Copyright 2012-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.brainmap;


public class ShapeKnowledge extends EditableKnowledge implements Waitable, Cloneable{
	private static final long serialVersionUID = 1L;
	public Shape s;
	public String sessionId;
	
	public ShapeKnowledge(Shape s, String sessionId){
		super(s.id, BrainmapRealWorld.sketchApp);
		this.s = s;
		this.sessionId = sessionId;
	}
	
	@Override
	public String toString(){
		return "ShapeKnowledge-"+s.toString()+" session("+sessionId+")";
	}
	
	@Override
	public boolean equals(Object o){
		if(o instanceof ShapeKnowledge){
			if(((ShapeKnowledge)o).id == id)
				return true;
		}
		return false;			
	}	
	
	@Override
	public void onReplaced(){
		BrainmapRealWorld.sketchApp.removeShapeKnowledge(this);
	}
	
	@Override
	public String id() {
		return id;
	}
	
	@Override
	public ShapeKnowledge clone(){
		return (ShapeKnowledge)super.clone();
	}
}
