/*

   Copyright 2012-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.brainmap.events;

import java.util.ArrayList;

import cf.api.ApplicationEvent;
import cf.api.CyberApplication;
import cf.app.brainmap.BrainmapRealWorld;
import cf.app.brainmap.Session;

public class SessionEvent extends ApplicationEvent{
	public enum TYPE{BEACON, CHECK, CREATE, EXIT, JOIN, REQUEST, SHOW, RESPONSE, LOAD}
	
	public TYPE type;
	public Session session;				// for create and join
	public ArrayList<Session> sessions;	// for response
	public boolean isLoaded = false;	// for load
	
	public SessionEvent(TYPE type, Session s, boolean isLoaded, double delay, CyberApplication app){
		super(app, delay);
		session = s;
		this.type = type;
		this.isLoaded = isLoaded;
	}
	
	// for response
	public SessionEvent(ArrayList<Session> sessions){
		this(TYPE.RESPONSE, null, false, 0.0, BrainmapRealWorld.sketchApp);
		this.sessions = sessions;
	}
	
	public SessionEvent(TYPE type, CyberApplication app){
		this(type, null, false, 0.0, app);
	}
}
