/*

   Copyright 2012-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.brainmap.events;

import cf.api.ApplicationEvent;
import cf.app.brainmap.BrainmapRealWorld;
import cf.app.brainmap.Shape;

public class ShapeEvent extends ApplicationEvent{
	
	public String n1 = null;
	public String n2 = null;
	
	public boolean checkDuplication;
	public boolean editShapeOnly;
	
	public Shape s;
	
	public ShapeEvent(Shape s, String n1, String n2, boolean checkDuplication, boolean editShapeOnly){
		super(BrainmapRealWorld.brainmapApp, 0.0);
		
		this.s = s;
		//this.shapeCreationTime = shapeCreationTime;
		this.checkDuplication = checkDuplication;
		this.editShapeOnly = editShapeOnly;
		
		if(null == n1 && null != n2){
			this.n1 = n2;
			this.n2 = n1;
		}else{
			this.n1 = n1;
			this.n2 = n2;
		}
	}
}
