/*

   Copyright 2012-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.brainmap.jre;

import java.io.File;
import java.io.InputStream;
import java.util.Map;

import javax.swing.JFrame;

import cf.app.brainmap.*;

public class BrainmapMain {
	public static final String IMAGE_FILE_PATH = "/cf/app/brainmap/file.png";

	public static void main(String[] args){
		//java.lang.System.setProperty("java.net.preferIPv4Stack", "false");
		//java.lang.System.setProperty("java.net.preferIPv6Addresses", "true");
		
		
		final JREGuiAdapter gui = new JREGuiAdapter();
		 
		InputStream in = gui.getClass().getResourceAsStream(IMAGE_FILE_PATH);
		
		try{
			final FileAdapter fa = new FileAdapter();
			fa.copyFile(in, fa.getDefaultFileImagePath());
			
			new BrainmapRealEngine(gui, fa).run();
		}catch(Exception e){e.printStackTrace();}
	}
}
