/*

   Copyright 2012-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.brainmap.jre;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;
import java.util.ArrayList;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class ImageViewer extends JFrame{
	private static ImageViewer instance = null;
	private static int width = 640;
	private static int height = 480;
	private static int x = (Toolkit.getDefaultToolkit().getScreenSize().width - width)/2;
	private static int y = (Toolkit.getDefaultToolkit().getScreenSize().height - height)/2;
	
	private ArrayList<Image> list;
	private Image img=null;
	private JPanel viewerPanel;
	
	public static ImageViewer getInstance(){
		if(null==instance)
			instance = new ImageViewer();
		return instance;
	}
	
	public ImageViewer(){
		setSize(width, height);
		setLocation(x, y);
		list = new ArrayList<Image>();
		viewerPanel = new JPanel(){
			public void paint(Graphics g){
				if(null != img)
					g.drawImage(img, 0, 0, null);
			}
		};
		add(viewerPanel);
		setVisible(true);
	}
	
	public void showImage(String title, String path){
		img = Toolkit.getDefaultToolkit().createImage(path);
		list.add(img);
		setName(title);
		viewerPanel.repaint();
	}
	
	public void next(){
		
	}
	
	public void previous(){
		
	}	
}
